跳转到内容

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
下载 OpenAPI 描述
语言
服务器
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/zh/api/catalog/
操作
操作
操作
操作
操作
操作
操作
操作

获取捆绑包列表Client-side

请求

Gets a list of bundles for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
安全
XsollaLoginUserJWT
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
查询
limitinteger>= 1

页面上元素数量的限制。

示例: limit=50
offsetinteger>= 0

元素编号,从该元素开始生成列表(从0开始数)。

示例: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

默认值 "en"
additional_fields[]Array of strings

附加字段列表。如果在请求中发送这些字段,则它们将包含在响应中。

枚举"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

ISO 3166-1 alpha-2标准下的两个大写字母的国家/地区代码。 请查看文档详细了解艾克索拉支持的国家/地区国家/地区的判断流程

示例: country=US
promo_codestring[ 1 .. 128 ] characters

区分大小写的唯一券码。包含字母和数字。

示例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

显示用户不可用的时效性商品。此类商品的有效期尚未开始或已过期。

默认值 0
示例: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

响应

捆绑包列表已成功接收。

正文application/json
has_moreboolean(Pagination_has-more)

用作指示还有更多页面。

itemsArray of objects(Bundles_client_bundle)
items[].​attributesArray of objects(Bundles_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​namestring

属性名称。

示例: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
items[].​bundle_typestring(Bundles_bundle_type)

捆绑包类型。使用standard创建包含商品的捆绑包,并指定捆绑包中所含商品的SKU。 使用partner_side_content创建一个空的捆绑包,并使用Webhook在己侧添加商品。此类型仅用于合作伙伴侧的目录个性化

枚举"standard""partner_side_content"
items[].​can_be_boughtboolean(Can_be_bought)

如为true,则用户可以购买商品。

items[].​contentArray of objects(Bundles_client_content)

捆绑包套餐内容。

items[].​content[].​attributesArray of objects(Bundles_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

items[].​content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

items[].​content[].​attributes[].​namestring

属性名称。

示例: "Genre"
items[].​content[].​attributes[].​valuesArray of objects
items[].​content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

items[].​content[].​attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
items[].​content[].​descriptionstring

商品描述。

示例: "Big Rocket - description"
items[].​content[].​groupsArray of objects(Bundles_groups_response)

商品所属分组。

items[].​content[].​groups[].​external_idstring
示例: "horror"
items[].​content[].​groups[].​nameobject

商品名称。应包含键/值对, 其中键是"^[a-z]{2}"格式的区域设置,值是字符串。

默认值 {"en":"Horror"}
示例: {"de":"Horror","en":"Horror"}
items[].​content[].​groups[].​name.​property name*string附加属性
items[].​content[].​image_urlstring

图像URL。

示例: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​content[].​is_freeboolean(value-is_free)

该商品是否免费。

items[].​content[].​limitsobject or null(Catalog_item_limits_with_hourly)

商品限制。

items[].​content[].​limits.​per_itemobject or null

商品的购买限制。

items[].​content[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
items[].​content[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
items[].​content[].​limits.​per_userobject or null

用户的购买限制。

items[].​content[].​limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
items[].​content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
items[].​content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
items[].​content[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
items[].​content[].​namestring

商品名称。

示例: "Big Rocket"
items[].​content[].​priceobject or null

商品价格。

items[].​content[].​price.​amountstring

折扣后的商品价格。

示例: "100.99"
items[].​content[].​price.​amount_without_discountstring

商品价格。

示例: "100.99"
items[].​content[].​price.​currencystring

商品价格货币。每ISO 4217。请查看文档以获取有关Xsolla 支持的货币

示例: "USD"
items[].​content[].​quantityinteger

套餐中的商品数量。

示例: 250
items[].​content[].​skustring

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、破折号和下划线。

示例: "com.xsolla.big_rocket_1"
items[].​content[].​typestring

商品类型:virtual_good/virtual_currency/bundle

示例: "virtual_currency"
items[].​content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
枚举"consumable""non_consumable""non_renewing_subscription"
示例: "non-consumable"
items[].​content[].​virtual_pricesArray of objects

虚拟价格。

items[].​content[].​virtual_prices[].​amountinteger

以虚拟货币表示的折扣后商品价格。

示例: 100
items[].​content[].​virtual_prices[].​amount_without_discountinteger

商品价格。

示例: 200
items[].​content[].​virtual_prices[].​descriptionstring

虚拟货币说明。

示例: "Big Rocket - description"
items[].​content[].​virtual_prices[].​image_urlstring

虚拟货币图像。

示例: "http://image.png"
items[].​content[].​virtual_prices[].​is_defaultboolean

价格是否为商品的默认价格。

示例: true
items[].​content[].​virtual_prices[].​namestring

虚拟货币名称。

示例: "SHOTGUN FOR TRUE RAIDERS"
items[].​content[].​virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "vc_test"
items[].​content[].​virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
items[].​custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

items[].​descriptionstring or null(Bundles_client_description)

商品描述。

items[].​groupsArray of objects(items_client_groups_response)

商品所属分组。

items[].​groups[].​external_idstring

组的唯一标识符,通常用于在API请求或外部系统中引用该组。

示例: "exclusive"
items[].​groups[].​item_order_in_groupinteger

商品在组中的位置,用于确定其显示顺序。 仅当通过additional_fields[]查询参数方式请求时,响应中才包含此字段。

示例: 1
items[].​groups[].​namestring

组名称。

示例: "Exclusive"
items[].​image_urlstring or null(Bundles_image_url)

图像URL。

items[].​is_freeboolean(value-is_free)

该商品是否免费。

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

内部唯一物品ID。

items[].​limitsobject or null(Catalog_item_limits_with_hourly)

商品限制。

items[].​limits.​per_itemobject or null

商品的购买限制。

items[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
items[].​limits.​per_userobject or null

用户的购买限制。

items[].​limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
items[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

包含商品详细本地化描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​long_description.​arstring or null

阿拉伯语

items[].​long_description.​bgstring or null

保加利亚语

items[].​long_description.​cnstring or null

中文(简体)

items[].​long_description.​csstring or null

捷克语

items[].​long_description.​destring or null

德语

items[].​long_description.​enstring or null

英语

items[].​long_description.​esstring or null

西班牙语(西班牙)

items[].​long_description.​frstring or null

法语

items[].​long_description.​hestring or null

希伯来语

items[].​long_description.​idstring or null

印度尼西亚语

items[].​long_description.​itstring or null

意大利语

items[].​long_description.​jastring or null

日语

items[].​long_description.​kmstring or null

高棉语

items[].​long_description.​kostring or null

韩语

items[].​long_description.​lostring or null

老挝语

items[].​long_description.​mystring or null

缅甸语

items[].​long_description.​nestring or null

尼泊尔语

items[].​long_description.​phstring or null

菲律宾语

items[].​long_description.​plstring or null

波兰语

items[].​long_description.​ptstring or null

葡萄牙语

items[].​long_description.​rostring or null

罗马尼亚语

items[].​long_description.​rustring or null

俄语

items[].​long_description.​thstring or null

泰语

items[].​long_description.​trstring or null

土耳其语

items[].​long_description.​twstring or null

中文(繁体)

items[].​long_description.​vistring or null

越南语

items[].​media_listArray of objects(Bundles_media_list)

捆绑包的附加资源。

items[].​media_list[].​typestring

媒体类型:image/video

枚举"image""video"
示例: "image"
items[].​media_list[].​urlstring

资源文件。

示例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​namestring(Bundles_client_name)

商品名称。

items[].​orderinteger(Bundles_order)

列表中的捆绑包顺序优先级。

items[].​periodsArray of objects or null(item-periods)

商品促销时间段。

items[].​periods[].​date_fromstring(date-time)

指定商品促销开始的日期。

示例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定商品停止促销的日期。可以为null

示例: "2020-08-11T20:00:00+03:00"
items[].​priceobject or null(Bundles_price)

商品价格。

items[].​price.​amountstring(Bundles_amount)^\d*\.?\d*$必需

折扣后的商品价格。

items[].​price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$必需

商品价格。

items[].​price.​currencystring(Bundles_currency)必需

商品价格货币。每ISO 4217

items[].​promotionsArray of objects(Catalog_item_promotions)

应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:

  • 为某商品配置了折扣促销活动。

  • 应用了对所选商品提供折扣设置的促销码。

如果未应用任何商品级促销活动,则返回空数组。

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

奖励捆绑包商品类型。仅适用于bundle奖励品类型。

枚举"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

奖励商品图片URL。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​namestring

奖励品名称。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

奖励品类型。

枚举"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

items[].​total_content_priceobject or null(Bundles_total_content_price)

捆绑包内容价格总和。

items[].​total_content_price.​amountstring

折扣后的捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​amount_without_discountstring

捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

商品价格货币。每ISO 4217

items[].​typestring(Bundles_type)

商品类型。

items[].​virtual_pricesArray of objects(Bundles_virtual_prices)

虚拟价格。

items[].​virtual_prices[].​amountinteger

以虚拟货币表示的折扣后商品价格。

示例: 100
items[].​virtual_prices[].​amount_without_discountinteger

以虚拟货币表示的商品价格。

示例: 200
items[].​virtual_prices[].​descriptionstring or null

虚拟货币说明。

示例: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

虚拟货币图像。

示例: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

价格是否为商品的默认价格。

示例: true
items[].​virtual_prices[].​namestring

虚拟货币名称。

示例: "Gold"
items[].​virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "gold"
items[].​virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

奖励积分商品奖励。

items[].​vp_rewards[].​amountinteger(value-point-amount)

奖励积分的数量。

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

图像URL。

items[].​vp_rewards[].​is_clanboolean(is_clan)

该奖励积分是否用于公会奖励链。

items[].​vp_rewards[].​item_idinteger(item_id)

内部唯一物品ID。

items[].​vp_rewards[].​namestring(value-point-name)

奖励积分名称。

items[].​vp_rewards[].​skustring(value-point-sku)

唯一奖励积分ID。

响应
application/json
{ "has_more": true, "items": [ {} ] }

获取指定组的捆绑包列表Client-side

请求

Gets a list of bundles within a group for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
安全
XsollaLoginUserJWT
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
external_idstring必需

External item group ID specified during creation.

示例: weapons
查询
limitinteger>= 1

页面上元素数量的限制。

示例: limit=50
offsetinteger>= 0

元素编号,从该元素开始生成列表(从0开始数)。

示例: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

默认值 "en"
additional_fields[]Array of strings

附加字段列表。如果在请求中发送这些字段,则它们将包含在响应中。

枚举"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

ISO 3166-1 alpha-2标准下的两个大写字母的国家/地区代码。 请查看文档详细了解艾克索拉支持的国家/地区国家/地区的判断流程

示例: country=US
promo_codestring[ 1 .. 128 ] characters

区分大小写的唯一券码。包含字母和数字。

示例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

显示用户不可用的时效性商品。此类商品的有效期尚未开始或已过期。

默认值 0
示例: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle/group/weapons?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

响应

捆绑包列表已成功接收。

正文application/json
has_moreboolean(Pagination_has-more)

用作指示还有更多页面。

itemsArray of objects(Bundles_client_bundle)
items[].​attributesArray of objects(Bundles_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​namestring

属性名称。

示例: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
items[].​bundle_typestring(Bundles_bundle_type)

捆绑包类型。使用standard创建包含商品的捆绑包,并指定捆绑包中所含商品的SKU。 使用partner_side_content创建一个空的捆绑包,并使用Webhook在己侧添加商品。此类型仅用于合作伙伴侧的目录个性化

枚举"standard""partner_side_content"
items[].​can_be_boughtboolean(Can_be_bought)

如为true,则用户可以购买商品。

items[].​contentArray of objects(Bundles_client_content)

捆绑包套餐内容。

items[].​content[].​attributesArray of objects(Bundles_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

items[].​content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

items[].​content[].​attributes[].​namestring

属性名称。

示例: "Genre"
items[].​content[].​attributes[].​valuesArray of objects
items[].​content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

items[].​content[].​attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
items[].​content[].​descriptionstring

商品描述。

示例: "Big Rocket - description"
items[].​content[].​groupsArray of objects(Bundles_groups_response)

商品所属分组。

items[].​content[].​groups[].​external_idstring
示例: "horror"
items[].​content[].​groups[].​nameobject

商品名称。应包含键/值对, 其中键是"^[a-z]{2}"格式的区域设置,值是字符串。

默认值 {"en":"Horror"}
示例: {"de":"Horror","en":"Horror"}
items[].​content[].​groups[].​name.​property name*string附加属性
items[].​content[].​image_urlstring

图像URL。

示例: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​content[].​is_freeboolean(value-is_free)

该商品是否免费。

items[].​content[].​limitsobject or null(Catalog_item_limits_with_hourly)

商品限制。

items[].​content[].​limits.​per_itemobject or null

商品的购买限制。

items[].​content[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
items[].​content[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
items[].​content[].​limits.​per_userobject or null

用户的购买限制。

items[].​content[].​limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
items[].​content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
items[].​content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
items[].​content[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
items[].​content[].​namestring

商品名称。

示例: "Big Rocket"
items[].​content[].​priceobject or null

商品价格。

items[].​content[].​price.​amountstring

折扣后的商品价格。

示例: "100.99"
items[].​content[].​price.​amount_without_discountstring

商品价格。

示例: "100.99"
items[].​content[].​price.​currencystring

商品价格货币。每ISO 4217。请查看文档以获取有关Xsolla 支持的货币

示例: "USD"
items[].​content[].​quantityinteger

套餐中的商品数量。

示例: 250
items[].​content[].​skustring

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、破折号和下划线。

示例: "com.xsolla.big_rocket_1"
items[].​content[].​typestring

商品类型:virtual_good/virtual_currency/bundle

示例: "virtual_currency"
items[].​content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
枚举"consumable""non_consumable""non_renewing_subscription"
示例: "non-consumable"
items[].​content[].​virtual_pricesArray of objects

虚拟价格。

items[].​content[].​virtual_prices[].​amountinteger

以虚拟货币表示的折扣后商品价格。

示例: 100
items[].​content[].​virtual_prices[].​amount_without_discountinteger

商品价格。

示例: 200
items[].​content[].​virtual_prices[].​descriptionstring

虚拟货币说明。

示例: "Big Rocket - description"
items[].​content[].​virtual_prices[].​image_urlstring

虚拟货币图像。

示例: "http://image.png"
items[].​content[].​virtual_prices[].​is_defaultboolean

价格是否为商品的默认价格。

示例: true
items[].​content[].​virtual_prices[].​namestring

虚拟货币名称。

示例: "SHOTGUN FOR TRUE RAIDERS"
items[].​content[].​virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "vc_test"
items[].​content[].​virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
items[].​custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

items[].​descriptionstring or null(Bundles_client_description)

商品描述。

items[].​groupsArray of objects(items_client_groups_response)

商品所属分组。

items[].​groups[].​external_idstring

组的唯一标识符,通常用于在API请求或外部系统中引用该组。

示例: "exclusive"
items[].​groups[].​item_order_in_groupinteger

商品在组中的位置,用于确定其显示顺序。 仅当通过additional_fields[]查询参数方式请求时,响应中才包含此字段。

示例: 1
items[].​groups[].​namestring

组名称。

示例: "Exclusive"
items[].​image_urlstring or null(Bundles_image_url)

图像URL。

items[].​is_freeboolean(value-is_free)

该商品是否免费。

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

内部唯一物品ID。

items[].​limitsobject or null(Catalog_item_limits_with_hourly)

商品限制。

items[].​limits.​per_itemobject or null

商品的购买限制。

items[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
items[].​limits.​per_userobject or null

用户的购买限制。

items[].​limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
items[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

包含商品详细本地化描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​long_description.​arstring or null

阿拉伯语

items[].​long_description.​bgstring or null

保加利亚语

items[].​long_description.​cnstring or null

中文(简体)

items[].​long_description.​csstring or null

捷克语

items[].​long_description.​destring or null

德语

items[].​long_description.​enstring or null

英语

items[].​long_description.​esstring or null

西班牙语(西班牙)

items[].​long_description.​frstring or null

法语

items[].​long_description.​hestring or null

希伯来语

items[].​long_description.​idstring or null

印度尼西亚语

items[].​long_description.​itstring or null

意大利语

items[].​long_description.​jastring or null

日语

items[].​long_description.​kmstring or null

高棉语

items[].​long_description.​kostring or null

韩语

items[].​long_description.​lostring or null

老挝语

items[].​long_description.​mystring or null

缅甸语

items[].​long_description.​nestring or null

尼泊尔语

items[].​long_description.​phstring or null

菲律宾语

items[].​long_description.​plstring or null

波兰语

items[].​long_description.​ptstring or null

葡萄牙语

items[].​long_description.​rostring or null

罗马尼亚语

items[].​long_description.​rustring or null

俄语

items[].​long_description.​thstring or null

泰语

items[].​long_description.​trstring or null

土耳其语

items[].​long_description.​twstring or null

中文(繁体)

items[].​long_description.​vistring or null

越南语

items[].​media_listArray of objects(Bundles_media_list)

捆绑包的附加资源。

items[].​media_list[].​typestring

媒体类型:image/video

枚举"image""video"
示例: "image"
items[].​media_list[].​urlstring

资源文件。

示例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​namestring(Bundles_client_name)

商品名称。

items[].​orderinteger(Bundles_order)

列表中的捆绑包顺序优先级。

items[].​periodsArray of objects or null(item-periods)

商品促销时间段。

items[].​periods[].​date_fromstring(date-time)

指定商品促销开始的日期。

示例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定商品停止促销的日期。可以为null

示例: "2020-08-11T20:00:00+03:00"
items[].​priceobject or null(Bundles_price)

商品价格。

items[].​price.​amountstring(Bundles_amount)^\d*\.?\d*$必需

折扣后的商品价格。

items[].​price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$必需

商品价格。

items[].​price.​currencystring(Bundles_currency)必需

商品价格货币。每ISO 4217

items[].​promotionsArray of objects(Catalog_item_promotions)

应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:

  • 为某商品配置了折扣促销活动。

  • 应用了对所选商品提供折扣设置的促销码。

如果未应用任何商品级促销活动,则返回空数组。

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

奖励捆绑包商品类型。仅适用于bundle奖励品类型。

枚举"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

奖励商品图片URL。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​namestring

奖励品名称。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

奖励品类型。

枚举"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

items[].​total_content_priceobject or null(Bundles_total_content_price)

捆绑包内容价格总和。

items[].​total_content_price.​amountstring

折扣后的捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​amount_without_discountstring

捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

商品价格货币。每ISO 4217

items[].​typestring(Bundles_type)

商品类型。

items[].​virtual_pricesArray of objects(Bundles_virtual_prices)

虚拟价格。

items[].​virtual_prices[].​amountinteger

以虚拟货币表示的折扣后商品价格。

示例: 100
items[].​virtual_prices[].​amount_without_discountinteger

以虚拟货币表示的商品价格。

示例: 200
items[].​virtual_prices[].​descriptionstring or null

虚拟货币说明。

示例: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

虚拟货币图像。

示例: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

价格是否为商品的默认价格。

示例: true
items[].​virtual_prices[].​namestring

虚拟货币名称。

示例: "Gold"
items[].​virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "gold"
items[].​virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

奖励积分商品奖励。

items[].​vp_rewards[].​amountinteger(value-point-amount)

奖励积分的数量。

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

图像URL。

items[].​vp_rewards[].​is_clanboolean(is_clan)

该奖励积分是否用于公会奖励链。

items[].​vp_rewards[].​item_idinteger(item_id)

内部唯一物品ID。

items[].​vp_rewards[].​namestring(value-point-name)

奖励积分名称。

items[].​vp_rewards[].​skustring(value-point-sku)

唯一奖励积分ID。

响应
application/json
{ "has_more": true, "items": [ {} ] }

获取指定的捆绑包Client-side

请求

Gets a specified bundle.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
安全
XsollaLoginUserJWT
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
skustring必需

捆绑包SKU。

示例: kg_1
查询
promo_codestring[ 1 .. 128 ] characters

区分大小写的唯一券码。包含字母和数字。

示例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

显示用户不可用的时效性商品。此类商品的有效期尚未开始或已过期。

默认值 0
示例: show_inactive_time_limited_items=1
additional_fields[]Array of strings

附加字段列表。如果在请求中发送这些字段,则它们将包含在响应中。

枚举"media_list""order""long_description""custom_attributes""item_order_in_group"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle/sku/kg_1?promo_code=WINTER2021&show_inactive_time_limited_items=1&additional_fields%5B%5D=media_list' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

响应

指定的捆绑包已成功接收。

正文application/json
attributesArray of objects(Bundles_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

attributes[].​namestring

属性名称。

示例: "Genre"
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
bundle_typestring(Bundles_bundle_type)

捆绑包类型。使用standard创建包含商品的捆绑包,并指定捆绑包中所含商品的SKU。 使用partner_side_content创建一个空的捆绑包,并使用Webhook在己侧添加商品。此类型仅用于合作伙伴侧的目录个性化

枚举"standard""partner_side_content"
can_be_boughtboolean(Can_be_bought)

如为true,则用户可以购买商品。

contentArray of objects(Bundles_client_content)

捆绑包套餐内容。

content[].​attributesArray of objects(Bundles_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

content[].​attributes[].​namestring

属性名称。

示例: "Genre"
content[].​attributes[].​valuesArray of objects
content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

content[].​attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
content[].​descriptionstring

商品描述。

示例: "Big Rocket - description"
content[].​groupsArray of objects(Bundles_groups_response)

商品所属分组。

content[].​groups[].​external_idstring
示例: "horror"
content[].​groups[].​nameobject

商品名称。应包含键/值对, 其中键是"^[a-z]{2}"格式的区域设置,值是字符串。

默认值 {"en":"Horror"}
示例: {"de":"Horror","en":"Horror"}
content[].​groups[].​name.​property name*string附加属性
content[].​image_urlstring

图像URL。

示例: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
content[].​is_freeboolean(value-is_free)

该商品是否免费。

content[].​limitsobject or null(Catalog_item_limits_with_hourly)

商品限制。

content[].​limits.​per_itemobject or null

商品的购买限制。

content[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
content[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
content[].​limits.​per_userobject or null

用户的购买限制。

content[].​limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
content[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
content[].​namestring

商品名称。

示例: "Big Rocket"
content[].​priceobject or null

商品价格。

content[].​price.​amountstring

折扣后的商品价格。

示例: "100.99"
content[].​price.​amount_without_discountstring

商品价格。

示例: "100.99"
content[].​price.​currencystring

商品价格货币。每ISO 4217。请查看文档以获取有关Xsolla 支持的货币

示例: "USD"
content[].​quantityinteger

套餐中的商品数量。

示例: 250
content[].​skustring

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、破折号和下划线。

示例: "com.xsolla.big_rocket_1"
content[].​typestring

商品类型:virtual_good/virtual_currency/bundle

示例: "virtual_currency"
content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
枚举"consumable""non_consumable""non_renewing_subscription"
示例: "non-consumable"
content[].​virtual_pricesArray of objects

虚拟价格。

content[].​virtual_prices[].​amountinteger

以虚拟货币表示的折扣后商品价格。

示例: 100
content[].​virtual_prices[].​amount_without_discountinteger

商品价格。

示例: 200
content[].​virtual_prices[].​descriptionstring

虚拟货币说明。

示例: "Big Rocket - description"
content[].​virtual_prices[].​image_urlstring

虚拟货币图像。

示例: "http://image.png"
content[].​virtual_prices[].​is_defaultboolean

价格是否为商品的默认价格。

示例: true
content[].​virtual_prices[].​namestring

虚拟货币名称。

示例: "SHOTGUN FOR TRUE RAIDERS"
content[].​virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "vc_test"
content[].​virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

descriptionstring or null(Bundles_client_description)

商品描述。

groupsArray of objects(items_client_groups_response)

商品所属分组。

groups[].​external_idstring

组的唯一标识符,通常用于在API请求或外部系统中引用该组。

示例: "exclusive"
groups[].​item_order_in_groupinteger

商品在组中的位置,用于确定其显示顺序。 仅当通过additional_fields[]查询参数方式请求时,响应中才包含此字段。

示例: 1
groups[].​namestring

组名称。

示例: "Exclusive"
image_urlstring or null(Bundles_image_url)

图像URL。

is_freeboolean(value-is_free)

该商品是否免费。

item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

内部唯一物品ID。

limitsobject or null(Catalog_item_limits_with_hourly)

商品限制。

limits.​per_itemobject or null

商品的购买限制。

limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
limits.​per_userobject or null

用户的购买限制。

limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

包含商品详细本地化描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

long_description.​arstring or null

阿拉伯语

long_description.​bgstring or null

保加利亚语

long_description.​cnstring or null

中文(简体)

long_description.​csstring or null

捷克语

long_description.​destring or null

德语

long_description.​enstring or null

英语

long_description.​esstring or null

西班牙语(西班牙)

long_description.​frstring or null

法语

long_description.​hestring or null

希伯来语

long_description.​idstring or null

印度尼西亚语

long_description.​itstring or null

意大利语

long_description.​jastring or null

日语

long_description.​kmstring or null

高棉语

long_description.​kostring or null

韩语

long_description.​lostring or null

老挝语

long_description.​mystring or null

缅甸语

long_description.​nestring or null

尼泊尔语

long_description.​phstring or null

菲律宾语

long_description.​plstring or null

波兰语

long_description.​ptstring or null

葡萄牙语

long_description.​rostring or null

罗马尼亚语

long_description.​rustring or null

俄语

long_description.​thstring or null

泰语

long_description.​trstring or null

土耳其语

long_description.​twstring or null

中文(繁体)

long_description.​vistring or null

越南语

media_listArray of objects(Bundles_media_list)

捆绑包的附加资源。

media_list[].​typestring

媒体类型:image/video

枚举"image""video"
示例: "image"
media_list[].​urlstring

资源文件。

示例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
namestring(Bundles_client_name)

商品名称。

orderinteger(Bundles_order)

列表中的捆绑包顺序优先级。

periodsArray of objects or null(item-periods)

商品促销时间段。

periods[].​date_fromstring(date-time)

指定商品促销开始的日期。

示例: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

指定商品停止促销的日期。可以为null

示例: "2020-08-11T20:00:00+03:00"
priceobject or null(Bundles_price)

商品价格。

price.​amountstring(Bundles_amount)^\d*\.?\d*$必需

折扣后的商品价格。

price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$必需

商品价格。

price.​currencystring(Bundles_currency)必需

商品价格货币。每ISO 4217

promotionsArray of objects(Catalog_item_promotions)

应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:

  • 为某商品配置了折扣促销活动。

  • 应用了对所选商品提供折扣设置的促销码。

如果未应用任何商品级促销活动,则返回空数组。

promotions[].​bonusArray of objects
promotions[].​bonus[].​bundle_typestring

奖励捆绑包商品类型。仅适用于bundle奖励品类型。

枚举"standard""virtual_currency_package"
promotions[].​bonus[].​image_urlstring

奖励商品图片URL。不适用于physical_good奖励品类型。

promotions[].​bonus[].​namestring

奖励品名称。不适用于physical_good奖励品类型。

promotions[].​bonus[].​quantityinteger
promotions[].​bonus[].​skustring
promotions[].​bonus[].​typestring

奖励品类型。

枚举"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
promotions[].​date_endstring or null(date-time)
promotions[].​date_startstring or null(date-time)
promotions[].​discountobject or null
promotions[].​discount.​percentstring or null
promotions[].​discount.​valuestring or null
promotions[].​limitsobject
promotions[].​limits.​per_userobject
promotions[].​limits.​per_user.​availableinteger
promotions[].​limits.​per_user.​totalinteger
promotions[].​namestring
skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

total_content_priceobject or null(Bundles_total_content_price)

捆绑包内容价格总和。

total_content_price.​amountstring

折扣后的捆绑包内容价格总和。

示例: "100.99"
total_content_price.​amount_without_discountstring

捆绑包内容价格总和。

示例: "100.99"
total_content_price.​currencystring(Bundles_currency)

商品价格货币。每ISO 4217

typestring(Bundles_type)

商品类型。

virtual_pricesArray of objects(Bundles_virtual_prices)

虚拟价格。

virtual_prices[].​amountinteger

以虚拟货币表示的折扣后商品价格。

示例: 100
virtual_prices[].​amount_without_discountinteger

以虚拟货币表示的商品价格。

示例: 200
virtual_prices[].​descriptionstring or null

虚拟货币说明。

示例: "Most popular gold"
virtual_prices[].​image_urlstring or null

虚拟货币图像。

示例: "http://image.png"
virtual_prices[].​is_defaultboolean

价格是否为商品的默认价格。

示例: true
virtual_prices[].​namestring

虚拟货币名称。

示例: "Gold"
virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "gold"
virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
vp_rewardsArray of objects(client-item-value-point-reward)

奖励积分商品奖励。

vp_rewards[].​amountinteger(value-point-amount)

奖励积分的数量。

vp_rewards[].​image_urlstring(Common_admin-image_url)

图像URL。

vp_rewards[].​is_clanboolean(is_clan)

该奖励积分是否用于公会奖励链。

vp_rewards[].​item_idinteger(item_id)

内部唯一物品ID。

vp_rewards[].​namestring(value-point-name)

奖励积分名称。

vp_rewards[].​skustring(value-point-sku)

唯一奖励积分ID。

响应
application/json
{ "attributes": [], "bundle_type": "standard", "can_be_bought": true, "content": [ {} ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": "pricePoint_44056_1.", "groups": [], "image_url": null, "is_free": false, "item_id": 610316, "limits": { "per_user": {} }, "long_description": null, "media_list": [], "name": "kg_10.00_bundle", "order": 999, "periods": [ {} ], "price": { "amount": "9.99", "amount_without_discount": "9.99", "currency": "USD" }, "promotions": [], "sku": "com.xsolla.kg_1", "total_content_price": { "amount": "10.99", "amount_without_discount": "10.99", "currency": "USD" }, "type": "bundle", "virtual_prices": [], "vp_rewards": [ {}, {} ] }
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作

目录

本API允许获取任意类型的可售商品或指定商品。

操作
操作
操作
操作
操作